Name:          portlet-api-2.0-spec
Version:       1.0
Release:       %mkrel 2
Summary:       Java Portlet Specification V2.0
Group:         Development/Java
License:       ASL
Url:           http://portals.apache.org/
# svn export http://svn.apache.org/repos/asf/portals/portlet-spec/tags/portlet-api_2.0_spec-1.0
# tar czf portlet-api_2.0_spec-1.0-src-svn.tar.gz portlet-api_2.0_spec-1.0
Source0:       portlet-api_2.0_spec-1.0-src-svn.tar.gz
Patch0:        portlet-api_2.0_spec-1.0-pom_xml.patch
Patch1:        portlet-api_2.0_spec-1.0-no_maven-plugin-bundle.patch
BuildRequires: java-devel
BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: servletapi5
Requires:      jpackage-utils
BuildArch:     noarch

%description
The Java Portlet API version 2.0 developed by the Java Community Process JSR-286 Expert Group.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      %{name} = %{version}-%{release}
Requires:      jpackage-utils

%description javadoc
Java Portlet Specification V2.0.

This package contains javadoc for %{name}.

%prep
%setup -q -n portlet-api_2.0_spec-1.0
%patch0 -p0
# % patch1 -p0

for j in $(find lib -name "*.jar"); do
  mv $j $j.no
done
for j in $(find lib -name "*.class"); do
  rm -f $j
done

%build
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/portlet-api-%{version}.jar %{buildroot}%{_javadir}/portlet-api-2.0-spec.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-portlet-api-2.0-spec.pom
%add_maven_depmap JPP-portlet-api-2.0-spec.pom portlet-api-2.0-spec.jar

mkdir -p %{buildroot}%{_javadocdir}/portlet-api-2.0-spec
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/portlet-api-2.0-spec

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/portlet-api-2.0-spec.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%defattr(-,root,root) 
%{_javadocdir}/portlet-api-2.0-spec



%changelog

* Wed Jan 16 2013 dmorgan <dmorgan> 1.0-2.mga3
+ Revision: 388701
- Build with maven 3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 31 2011 gil <gil> 1.0-1.mga2
+ Revision: 160296
- imported package portlet-api-2.0-spec


* Tue Jun 21 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm